# Command: topology::ConnectLayers

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    topology::ConnectLayers - connect two layers

Synopsis:

    sourcelayergid targetlayergid connection_dict
      ConnectLayers ->	-

Description:

    Connects nodes in two topological layers.

      The parameters set in the input dictionary decides the nature
      of the connection pattern being created. Please see parameter
      list below for a detailed description of these variables.

      The connections are created by iterating through either the
      source or the target layer, consecutively connecting each node
      to a region in the opposing layer.

Parameters:

      model*	 literal
      lid^	 integer

      *modeltype (i.e. /iaf_psc_alpha) of nodes that should be connected to
      in the layer. All nodes are used if this variable isn't set.
      ^Nesting depth of nodes that should be connected to. All layers are used
      if this variable isn't set.

      Parameter name: target

      Type: dictionary

      Parameter description:

      See description for source dictionary.

      Parameter name: number_of_connections

      Type: integer

      Parameter description:

      Maximum number of connections that each iterating node is allowed.
      The actual connections being created are picked at random from all
      the candidate connections.

      Parameter name: synapse_model

      Type: literal

      Parameter description:

      The synapse model to be used for creating the connection.
      .
      Parameter name: allow_autapses

      Type: bool

      Parameter description: Used together with the number_of_connections option to
      indicate if autapses are allowed.

      Parameter name: allow_multapses

      Type: bool

      Parameter description: Used together with the number_of_connections option to
      indicate if multapses are allowed.

      ------------------------------------------------------------------

      Example:

      topology using

      %Create source layer with CreateLayer
      << /rows 15
      /columns 43
      /extent [1.0 2.0]
      /elements /iaf_psc_alpha
      >> /src_dictionary Set

      src_dictionary CreateLayer /src Set

      %Create target layer with CreateLayer
      %%Create layer
      << /rows 34
      /columns 71
      /extent [3.0 1.0]
      /elements {/iaf_psc_alpha Create ; /iaf_psc_alpha Create ;}
      >> /tgt_dictionary Set

      tgt_dictionary CreateLayer /tgt Set

      << /connection_type (convergent)
      /mask << /grid << /rows 2 /columns 3 >>
      /anchor << /row 4 /column 2 >> >>
      /weights 2.3
      /delays [2.3 1.2 3.2 1.3 2.3 1.2]
      /kernel << /gaussian << /sigma 1.2 /p_center 1.41 >> >>
      /sources << /model /iaf_psc_alpha
      /lid 1 >>
      /targets << /model /iaf_psc_alpha
      /lid 2 >>
      /synapse_model /stdp_synapse

      >> /parameters Set

      src tgt parameters ConnectLayers

Author:

    Håkon Enger, Kittel Austvoll

SeeAlso:

- topology::CreateLayer

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/topology/topologymodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative